Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Variation

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.blocks.Variation

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class Variation

extends Node
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `exceptionValue$FIELD`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `seed$FIELD`
`static Node.NType.Field` | `type$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Variation()`
`Variation(int type)`
`Variation(int type, int numberS)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`static Node` | `get(Node n, int index, int edgeBits)`
`static int` | `getChildCount(Node n, int edgeBits)`
`int` | `getExceptionValue()`
`static Node` | `getFirstChild(Node n, int edgeBits)`
`Instantiator` | `getInstantiator()`
`LocationParameterBase` | `getLocationParameter()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`static Node` | `getNextSibling(Node n, int edgeBits)`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`long` | `getSeed()`
`int` | `getType()`
`void` | `instantiate(Instantiation state)`
`boolean` | `isInitAll()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setExceptionValue(int value)`
`void` | `setInitAll(boolean value)`
`void` | `setLocationParameter(LocationParameterBase value)`
`void` | `setNumber(int value)`
`void` | `setSeed(long value)`
`void` | `setType(int value)`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### exceptionValue$FIELD

    public static final Node.NType.Field exceptionValue$FIELD

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### seed$FIELD

    public static final Node.NType.Field seed$FIELD

### type$FIELD

    public static final Node.NType.Field type$FIELD

Constructor Detail

### Variation

    public Variation()

### Variation

    public Variation(int type)

### Variation

    public Variation(int type,
                     int numberS)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### get

    public static Node get(Node n,
                           int index,
                           int edgeBits)

### getChildCount

    public static int getChildCount(Node n,
                                    int edgeBits)

### getExceptionValue

    public int getExceptionValue()

### getFirstChild

    public static Node getFirstChild(Node n,
                                     int edgeBits)

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLocationParameter

    public LocationParameterBase getLocationParameter()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNextSibling

    public static Node getNextSibling(Node n,
                                      int edgeBits)

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Node`
  Returns:
    type describing the managed fields of the class of this node

### getSeed

    public long getSeed()

### getType

    public int getType()

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isInitAll

    public boolean isInitAll()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Node`
  Returns:
    new instance of class of this node

### setExceptionValue

    public void setExceptionValue(int value)

### setInitAll

    public void setInitAll(boolean value)

### setLocationParameter

    public void setLocationParameter(LocationParameterBase value)

### setNumber

    public void setNumber(int value)

### setSeed

    public void setSeed(long value)

### setType

    public void setType(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD